Bug 119531 - [patch] devel/py-lxml: unbreak pointyhat package building for FreeBSD-5
Summary: [patch] devel/py-lxml: unbreak pointyhat package building for FreeBSD-5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Boris Samorodov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-10 14:30 UTC by Boris Samorodov
Modified: 2008-01-10 18:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Boris Samorodov freebsd_committer 2008-01-10 14:30:02 UTC
	Currently the ports cluster cannot build packages for
	this port for FreeBSD-5.

Fix: Unbreak a package building for FreeBSD-5 (convert easy_install
	support to bsd.python.mk).

	Suggested by: nivit (via email)



WBR
-- 
bsam--E0Ixpkkar70uK3YbQIIsXNI33SR0f0KAuUXHxmH3gWblJntA
Content-Type: text/plain; name="py-lxml.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="py-lxml.diff"

Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/py-lxml/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- Makefile	6 Jan 2008 12:25:40 -0000	1.7
+++ Makefile	10 Jan 2008 14:15:41 -0000
@@ -17,13 +17,13 @@
 MAINTAINER=	gogo@cs.uni-sb.de
 COMMENT=	Pythonic binding for the libxml2 and libxslt libraries
 
-BUILD_DEPENDS=	${EASY_INSTALL_CMD}:${PORTSDIR}/devel/py-setuptools
 LIB_DEPENDS=	xslt.2:${PORTSDIR}/textproc/libxslt
-RUN_DEPENDS=	${EASY_INSTALL_CMD}:${PORTSDIR}/devel/py-setuptools
 
 USE_PYTHON=	2.4+
-USE_PYDISTUTILS=	yes
-PYDISTUTILS_NOEGGINFO=	yes # XXX convert easy_install support to bsd.python.mk's
+USE_PYDISTUTILS=	easy_install
+PYEASYINSTALL_INSTALLARGS=	-N ${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG}
+PYEASYINSTALL_UNINSTALLARGS=	-q -m -N ${PYTHON_SITELIBDIR}/${PYEASYINSTALL_EGG}
+PYEASYINSTALL_ARCHDEP=	yes
 
 DOCSDIR=	${PREFIX}/share/doc/py-${PORTNAME}
 
@@ -33,13 +33,7 @@
 		TODO.txt \
 		README.txt
 
-EASY_INSTALL_CMD?=	easy_install-${PYTHON_VER}
-
-PYLXML_EGG=	${PORTNAME}-${PORTVERSION}-py${PYTHON_VER}-${OPSYS:L}-${OSRELEASE}-${ARCH}.egg
-
-PLIST_SUB+=	EASY_INSTALL_CMD=${EASY_INSTALL_CMD} \
-		PYLXML_EGG=${PYLXML_EGG} \
-		PYLXML_EGG_VER="${PORTNAME}==${PORTVERSION}"
+PYLXML_EGG=     ${PORTNAME}-${PORTVERSION}-py${PYTHON_VER}${PYEASYINSTALL_OSARCH}.egg
 
 post-install:
 .if !defined(NOPORTDOCS)
@@ -51,8 +45,4 @@
 	${CP} -R ${WRKSRC}/doc/* ${DOCSDIR}/doc
 .endif
 
-.include <bsd.port.pre.mk>
-
-OSRELEASE!=	/usr/bin/uname -r
-
-.include <bsd.port.post.mk>
+.include <bsd.port.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/py-lxml/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- pkg-plist	6 Jun 2007 10:39:17 -0000	1.4
+++ pkg-plist	10 Jan 2008 14:15:41 -0000
@@ -1,34 +1,32 @@
-@unexec %%EASY_INSTALL_CMD%% -q -m -S %D/%%PYTHON_SITELIBDIR%% %%PYLXML_EGG_VER%%
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/PKG-INFO
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/SOURCES.txt
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/dependency_links.txt
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/native_libs.txt
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/not-zip-safe
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO/top_level.txt
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/ElementInclude.py
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/ElementInclude.pyc
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/ElementInclude.pyo
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/__init__.py
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/__init__.pyc
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/__init__.pyo
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/_elementpath.py
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/_elementpath.pyc
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/_elementpath.pyo
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.py
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.pyc
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.pyo
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/etree.so
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.py
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.pyc
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.pyo
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/objectify.so
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/sax.py
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/sax.pyc
-%%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml/sax.pyo
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/lxml
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%/EGG-INFO
-@dirrm %%PYTHON_SITELIBDIR%%/%%PYLXML_EGG%%
-@exec %%EASY_INSTALL_CMD%% -q -N -S %D/%%PYTHON_SITELIBDIR%% %%PYLXML_EGG_VER%%
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/PKG-INFO
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/SOURCES.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/dependency_links.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/native_libs.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/not-zip-safe
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO/top_level.txt
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/ElementInclude.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/ElementInclude.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/ElementInclude.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/__init__.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/__init__.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/__init__.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/_elementpath.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/_elementpath.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/_elementpath.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/sax.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/sax.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/sax.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/EGG-INFO
+@dirrm %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
 %%PORTDOCS%%%%DOCSDIR%%/CHANGES.txt
 %%PORTDOCS%%%%DOCSDIR%%/CREDITS.txt
 %%PORTDOCS%%%%DOCSDIR%%/LICENSES.txt
Comment 1 Edwin Groothuis freebsd_committer 2008-01-10 14:30:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2008-01-10 14:30:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Boris Samorodov freebsd_committer 2008-01-10 15:02:25 UTC
Responsible Changed
From-To: freebsd-python->bsam

/me submitted, /me responsible.
Comment 4 Robert Gogolok 2008-01-10 16:20:42 UTC
I approve the patch.
Comment 5 Boris Samorodov freebsd_committer 2008-01-10 17:39:59 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 dfilter service freebsd_committer 2008-01-10 17:59:10 UTC
bsam        2008-01-10 17:59:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/py-lxml        Makefile pkg-plist 
  Log:
  Unbreak a package building for FreeBSD-5 (convert easy_install
  support to bsd.python.mk).
  
  PR:             119531
  Submitted by:   bsam (me)
  Suggested by:   nivit (thanks!)
  Approved by:    Robert Gogolok <gogo at cs.uni-sb.de> (maintainer)
  
  Revision  Changes    Path
  1.8       +6 -16     ports/devel/py-lxml/Makefile
  1.5       +29 -31    ports/devel/py-lxml/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Boris Samorodov freebsd_committer 2008-01-10 17:59:31 UTC
State Changed
From-To: open->closed

Committed, thanks!